Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp
Class PKIStatusInfo.Failure

`java.lang.Object
oracle.security.crypto.cmp.PKIStatusInfo.Failure`

Enclosing class:
  PKIStatusInfo

public static class PKIStatusInfo.Failure
extends java.lang.Object

Represents the set of failure codes which may appear in a `PKIStatusInfo` instance.

Field Summary
`static PKIStatusInfo.Failure` | `ADD_INFO_NOT_AVAILABLE` Indicates the additional information requested could not be understood or is not available.
`static PKIStatusInfo.Failure` | `BAD_ALG` Indicates an unrecognized or unsupported algorithm identifier.
`static PKIStatusInfo.Failure` | `BAD_CERT_ID` Indicates that no certificate could be found matching the provided criteria.
`static PKIStatusInfo.Failure` | `BAD_CERT_TEMPLATE` Indicates invalid certificate template or missing mandatory information.
`static PKIStatusInfo.Failure` | `BAD_DATA_FORMAT` Indicates that the data submitted has the wrong format.
`static PKIStatusInfo.Failure` | `BAD_MESSAGE_CHECK` Indicates that an integrity check failed (for example, signature did not verify).
`static PKIStatusInfo.Failure` | `BAD_POP` Indicates that the proof-of-possession failed.
`static PKIStatusInfo.Failure` | `BAD_RECIPIENT_NONCE` Indicates invalid recipient nonce, either missing or wrong value.
`static PKIStatusInfo.Failure` | `BAD_REQUEST` Indicates transaction not permitted or not supported.
`static PKIStatusInfo.Failure` | `BAD_SENDER_NONCE` Indicates invalid sender nonce, either missing or wrong size.
`static PKIStatusInfo.Failure` | `BAD_TIME` Indicates that the message time was not sufficiently close to the system time, as defined by local policy.
`static PKIStatusInfo.Failure` | `CERT_CONFIRMED` Indicates that the certificate has already been confirmed.
`static PKIStatusInfo.Failure` | `CERT_REVOKED` Indicates that the certificate has already been revoked.
`static PKIStatusInfo.Failure` | `DUPLICATE_CERT_REQ` Indicates certificate cannot be issued because a duplicate certificate already exists.
`static PKIStatusInfo.Failure` | `INCORRECT_DATA` Indicates that the requester's data is incorrect (for notary services)
`static PKIStatusInfo.Failure` | `MISSING_TIME_STAMP` Indicates that the timestamp is missing but should be there (by policy).
`static PKIStatusInfo.Failure` | `NOT_AUTHORIZED` Indicates the sender was not authorized to make the preceding request or perform the preceding action.
`static PKIStatusInfo.Failure` | `SIGNER_NOT_TRUSTED` Indicates signer of the message unknown or not trusted.
`static PKIStatusInfo.Failure` | `SYSTEM_FAILURE` Indicates the request cannot be handle due to system failure.
`static PKIStatusInfo.Failure` | `SYSTEM_UNAVAILABLE` Indicates the request cannot be handled due to system unavailability.
`static PKIStatusInfo.Failure` | `TIME_NOT_AVAILABLE` Indicates the TSA's time source is not available.
`static PKIStatusInfo.Failure` | `TRANSACTION_ID_IN_USE` Indicates the transaction identifier is already in use.
`static PKIStatusInfo.Failure` | `UNACCEPTED_EXTENSION` Indicates the requested extension is not supported by the TSA.
`static PKIStatusInfo.Failure` | `UNACCEPTED_POLICY` Indicates the requested TSA policy is not supported by the TSA.
`static PKIStatusInfo.Failure` | `UNSUPPORTED_VERSION` Indicates the version of the message is not supported.
`static PKIStatusInfo.Failure` | `WRONG_AUTHORITY` Indicates that the authority indicated in the request is different from the one creating the response token.
`static PKIStatusInfo.Failure` | `WRONG_INTEGRITY` Indicates invalid integrity, password based instead of signature or vice versa.

Method Summary
`int` | `getValue()` Returns the numerical value of this failure code (as defined in RFC 2510).
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BAD_ALG

    public static final PKIStatusInfo.Failure BAD_ALG

  Indicates an unrecognized or unsupported algorithm identifier.
  Since:
    CMP1999

### BAD_MESSAGE_CHECK

    public static final PKIStatusInfo.Failure BAD_MESSAGE_CHECK

  Indicates that an integrity check failed (for example, signature did not verify).
  Since:
    CMP1999

### BAD_REQUEST

    public static final PKIStatusInfo.Failure BAD_REQUEST

  Indicates transaction not permitted or not supported.
  Since:
    CMP1999

### BAD_TIME

    public static final PKIStatusInfo.Failure BAD_TIME

  Indicates that the message time was not sufficiently close to the system time, as defined by local policy.
  Since:
    CMP1999

### BAD_CERT_ID

    public static final PKIStatusInfo.Failure BAD_CERT_ID

  Indicates that no certificate could be found matching the provided criteria.
  Since:
    CMP1999

### BAD_DATA_FORMAT

    public static final PKIStatusInfo.Failure BAD_DATA_FORMAT

  Indicates that the data submitted has the wrong format.
  Since:
    CMP1999

### WRONG_AUTHORITY

    public static final PKIStatusInfo.Failure WRONG_AUTHORITY

  Indicates that the authority indicated in the request is different from the one creating the response token.
  Since:
    CMP1999

### INCORRECT_DATA

    public static final PKIStatusInfo.Failure INCORRECT_DATA

  Indicates that the requester's data is incorrect (for notary services)
  Since:
    CMP1999

### MISSING_TIME_STAMP

    public static final PKIStatusInfo.Failure MISSING_TIME_STAMP

  Indicates that the timestamp is missing but should be there (by policy).
  Since:
    CMP1999

### BAD_POP

    public static final PKIStatusInfo.Failure BAD_POP

  Indicates that the proof-of-possession failed.
  Since:
    CMP1999

### CERT_REVOKED

    public static final PKIStatusInfo.Failure CERT_REVOKED

  Indicates that the certificate has already been revoked.
  Since:
    CMP2000

### CERT_CONFIRMED

    public static final PKIStatusInfo.Failure CERT_CONFIRMED

  Indicates that the certificate has already been confirmed.
  Since:
    CMP2000

### WRONG_INTEGRITY

    public static final PKIStatusInfo.Failure WRONG_INTEGRITY

  Indicates invalid integrity, password based instead of signature or vice versa.
  Since:
    CMP2000

### BAD_RECIPIENT_NONCE

    public static final PKIStatusInfo.Failure BAD_RECIPIENT_NONCE

  Indicates invalid recipient nonce, either missing or wrong value.
  Since:
    CMP2000

### TIME_NOT_AVAILABLE

    public static final PKIStatusInfo.Failure TIME_NOT_AVAILABLE

  Indicates the TSA's time source is not available.
  Since:
    CMP2000

### UNACCEPTED_POLICY

    public static final PKIStatusInfo.Failure UNACCEPTED_POLICY

  Indicates the requested TSA policy is not supported by the TSA.
  Since:
    CMP2000

### UNACCEPTED_EXTENSION

    public static final PKIStatusInfo.Failure UNACCEPTED_EXTENSION

  Indicates the requested extension is not supported by the TSA.
  Since:
    CMP2000

### ADD_INFO_NOT_AVAILABLE

    public static final PKIStatusInfo.Failure ADD_INFO_NOT_AVAILABLE

  Indicates the additional information requested could not be understood or is not available.
  Since:
    CMP2000

### BAD_SENDER_NONCE

    public static final PKIStatusInfo.Failure BAD_SENDER_NONCE

  Indicates invalid sender nonce, either missing or wrong size.
  Since:
    CMP2000

### BAD_CERT_TEMPLATE

    public static final PKIStatusInfo.Failure BAD_CERT_TEMPLATE

  Indicates invalid certificate template or missing mandatory information.
  Since:
    CMP2000

### SIGNER_NOT_TRUSTED

    public static final PKIStatusInfo.Failure SIGNER_NOT_TRUSTED

  Indicates signer of the message unknown or not trusted.
  Since:
    CMP2000

### TRANSACTION_ID_IN_USE

    public static final PKIStatusInfo.Failure TRANSACTION_ID_IN_USE

  Indicates the transaction identifier is already in use.
  Since:
    CMP2000

### UNSUPPORTED_VERSION

    public static final PKIStatusInfo.Failure UNSUPPORTED_VERSION

  Indicates the version of the message is not supported.
  Since:
    CMP2000

### NOT_AUTHORIZED

    public static final PKIStatusInfo.Failure NOT_AUTHORIZED

  Indicates the sender was not authorized to make the preceding request or perform the preceding action.
  Since:
    CMP2000

### SYSTEM_UNAVAILABLE

    public static final PKIStatusInfo.Failure SYSTEM_UNAVAILABLE

  Indicates the request cannot be handled due to system unavailability.
  Since:
    CMP2000

### SYSTEM_FAILURE

    public static final PKIStatusInfo.Failure SYSTEM_FAILURE

  Indicates the request cannot be handle due to system failure.
  Since:
    CMP2000

### DUPLICATE_CERT_REQ

    public static final PKIStatusInfo.Failure DUPLICATE_CERT_REQ

  Indicates certificate cannot be issued because a duplicate certificate already exists.
  Since:
    CMP2000

Method Detail

### getValue

    public int getValue()

  Returns the numerical value of this failure code (as defined in RFC 2510).

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.